package com.espritmobile.sim.restocheck.utils;

import com.espritmobile.sim.restocheck.fragments.TableFragment;

import android.app.Activity;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.widget.Toast;

public class DetailsActivity extends FragmentActivity {
	int count;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
			TableFragment tab = new TableFragment();
			getFragmentManager().beginTransaction().replace(android.R.id.content, tab)
					.commit();
		} else {
			TableFragment tab = new TableFragment();
			getFragmentManager().beginTransaction().replace(android.R.id.content, tab)
					.commit();
		}

		/*
		 * if (getResources().getConfiguration().orientation ==
		 * Configuration.ORIENTATION_LANDSCAPE) { // If the screen is now in
		 * landscape mode, we can show the // dialog in-line with the list so we
		 * don't need this activity. finish(); return; }
		 * 
		 * if (savedInstanceState == null) { // During initial setup, plug in
		 * the details fragment.
		 * 
		 * // create fragment TableFragment tab = new TableFragment(count);
		 * getFragmentManager().beginTransaction() .add(android.R.id.content,
		 * tab).commit(); }
		 */
	}
}